Subject: Shower curtain design idea
From: M Gag <[email-masked]>
To: [email-masked]
Date: Wed, 11 Dec 2024 21:39:28 -0500

Hello,
My name is Michele and I’ve been a foster parent in Ohio for over 20 years.
One of our main issues is hygiene with the children we care for. Most of them have been neglected so they have never been shown the proper way to wash their bodies. Of course if they are small we can teach them, but to be honest most of out children are teens, they do not want us in the bathroom with them. Some have had bad things happen to them and that may be why they don’t wash properly.
I have an idea that will help them wash their entire body correctly and be able to have a checklist so they don’t miss anything.
I’d love to share my idea with you, maybe you’ll be interested in it.
Thank you for your time, I look forward to speaking with you.
Michele Gaglione
Sent from my iPhone